//------------------------------------------------------------------
#property copyright "www.forex-tsd.com" 
#property link      "www.forex-tsd.com" 
//------------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1  PaleVioletRed
#property indicator_color2  DarkGray
#property indicator_width1  2
#property indicator_style2  STYLE_DOT

//
//
//
//
//

extern int LookBack    = 10;
extern int Average     = 10;
extern int AverageMode = MODE_SMA;

double ADLine[];
double ADAverage[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,ADLine);
   SetIndexBuffer(1,ADAverage);
   return(0);
}
int deinit() { return(0); }

//
//
//
//
//

int start()
{
   int count,counted_bars=IndicatorCounted();
      if(counted_bars < 0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
    
   for(int i = limit; i >= 0; i--)
   {
       ADLine[i]=ADLine[i+1];
       for(int k = 0; k<LookBack; k++)
       {
         if(Close[i+k] > Open[i+k]) ADLine[i]++;
         if(Close[i+k] < Open[i+k]) ADLine[i]--;
       }
   }       
   for(i = limit; i >= 0; i--) ADAverage[i] = iMAOnArray(ADLine,0,Average,0,AverageMode,i);
   return(0);
}